ADAM_2.12: Core 0.32.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package models
  Definition Classes
    adam
- Alphabet
- Attribute
- Coverage
- DNAAlphabet
- MdTag
- MdTagEvent
- OptionalPositionOrdering
- OptionalReferenceOrdering
- OptionalRegionOrdering
- PositionOrdering
- ReadGroup
- ReadGroupDictionary
- ReferenceOrdering
- ReferencePosition
- ReferencePositionSerializer
- ReferenceRegion
- ReferenceRegionSerializer
- RegionOrdering
- SequenceDictionary
- SequenceRecord
- SnpTable
- Symbol
- TagType
- VariantContext
- VariantContextSerializer

o

org.bdgenomics.adam.models

# SequenceDictionary 

###
Companion class SequenceDictionary

#### object SequenceDictionary extends Serializable

Singleton object for creating SequenceDictionaries.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceDictionary
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(header: SAMFileHeader): SequenceDictionary

   Makes a SequenceDictionary from a SAMFileHeader.

   Makes a SequenceDictionary from a SAMFileHeader.

   header

     htsjdk SAMFileHeader to extract sequences from.

   returns

     A SequenceDictionary with populated sequence records.

5.  def apply(dict: SAMSequenceDictionary): SequenceDictionary

   Builds a sequence dictionary from an htsjdk SAMSequenceDictionary.

   Builds a sequence dictionary from an htsjdk SAMSequenceDictionary.

   dict

     Htsjdk sequence dictionary to build from.

   returns

     A SequenceDictionary with populated sequence records.

6.  def apply(records: SequenceRecord*): SequenceDictionary

   Builds a sequence dictionary for a variable length collection of records.

   Builds a sequence dictionary for a variable length collection of records.

   records

     Records to include in the dictionary.

   returns

     A sequence dictionary containing these records.

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  def empty: SequenceDictionary

   returns

     Creates a new, empty SequenceDictionary.

10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  def fromAvro(references: Seq[Reference]): SequenceDictionary

    Creates a sequence dictionary from a sequence of Avro References.

    Creates a sequence dictionary from a sequence of Avro References.

    returns

      Returns a sequence dictionary.

14.  def fromSAMSequenceDictionary(samDict: SAMSequenceDictionary): SequenceDictionary

    Converts a picard/samtools SAMSequenceDictionary into an ADAM sequence dictionary.

    Converts a picard/samtools SAMSequenceDictionary into an ADAM sequence dictionary.

    samDict

      SAM style sequence dictionary.

    returns

      Returns an ADAM style sequence dictionary.

    See also

      fromSAMHeader

      fromVCFHeader

15.  def fromVCFHeader(header: VCFHeader): SequenceDictionary

    Extracts a SAM sequence dictionary from a VCF header and returns an ADAM sequence dictionary.

    Extracts a SAM sequence dictionary from a VCF header and returns an ADAM sequence dictionary.

    header

      VCF file header.

    returns

      Returns an ADAM style sequence dictionary.

    See also

      fromSAMHeader

16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped